aboutsummaryrefslogtreecommitdiffstats
path: root/examples
diff options
context:
space:
mode:
authorPaul Rodger <paul@paulrodger.com>2002-04-13 11:36:32 +0000
committerPaul Rodger <paul@paulrodger.com>2002-04-13 11:36:32 +0000
commitba5426db3f92f08c2b86564c076a9f99f86f4efd (patch)
tree25be77b876e57f73330a20dc1191cd40affa126d /examples
parentd7bd2d407cd31e06f0b4e8b58b099e1f69e49ff0 (diff)
downloadarchivemail-ba5426db3f92f08c2b86564c076a9f99f86f4efd.tar.gz
archivemail-ba5426db3f92f08c2b86564c076a9f99f86f4efd.tar.bz2
archivemail-ba5426db3f92f08c2b86564c076a9f99f86f4efd.zip
Added a lot more documentation, fixed up usage messages and expanded a lot
on the man page.
Diffstat (limited to 'examples')
-rw-r--r--examples/archivemail_all31
1 files changed, 31 insertions, 0 deletions
diff --git a/examples/archivemail_all b/examples/archivemail_all
new file mode 100644
index 0000000..30cb05e
--- /dev/null
+++ b/examples/archivemail_all
@@ -0,0 +1,31 @@
+#!/bin/sh
+#
+# This is an example shell script I use from my crontab(5) file to selectively
+# archive some of my mailboxes. Most of these mailboxes come directly from
+# procmail and are in maildir-format -- not that it should really matter.
+#
+# I probably could have done them all as:
+# $ARCMAIL $HOME/Mail/*
+# ...if I had enough disk space to keep mail uncompressed for 180 days :)
+#
+set -e
+
+ARCMAIL="/usr/local/bin/archivemail --quiet --output-dir=$HOME/Mail/Archive/ "
+
+$ARCMAIL --days 14 $HOME/Mail/debian-user \
+ $HOME/Mail/linux-kernel \
+ $HOME/Mail/python-list \
+ $HOME/Mail/spam-l
+
+$ARCMAIL --days 30 --delete $HOME/Mail/duplicates
+
+$ARCMAIL --days 90 $HOME/Mail/bugtraq \
+ $HOME/Mail/debian-devel \
+ $HOME/Mail/debian-mentors \
+ $HOME/Mail/spam
+
+$ARCMAIL $HOME/Mail/cm-melb \
+ $HOME/Mail/exsouthrock \
+ $HOME/Mail/received \
+ $HOME/Mail/sent \
+ $HOME/Mail/vim